이 섹션의 다중 페이지 출력 화면임. 여기를 클릭하여 프린트.
APIs
- 1: Approval VPC Peering
- 1.1: 1.1
- 2: Approve PrivateLink Endpoint
- 2.1: 1.1
- 3: Connect PrivateLink Endpoint
- 3.1: 1.1
- 4: Create Internet Gateway
- 5: Create NAT Gateway
- 6: Create Port
- 7: Create Private NAT
- 8: Create Private NAT IP
- 9: Create PrivateLink Endpoint
- 9.1: 1.1
- 10: Create PrivateLink Service
- 10.1: 1.1
- 11: Create PublicIP
- 12: Create Subnet
- 13: Create Transit Gateway
- 14: Create Transit Gateway Rule
- 15: Create Transit Gateway VPC Connection
- 16: Create VPC
- 17: Create VPC Endpoint
- 18: Create VPC Peering
- 19: Create Vpc Peering Rule
- 20: Delete Internet Gateway
- 21: Delete NAT Gateway
- 22: Delete Port
- 23: Delete Private NAT
- 24: Delete Private NAT IP
- 25: Delete PrivateLink Endpoint
- 25.1: 1.1
- 26: Delete PrivateLink Service
- 26.1: 1.1
- 27: Delete PublicIP
- 28: Delete Subnet
- 29: Delete Transit Gateway
- 30: Delete Transit Gateway Rule
- 31: Delete Transit Gateway VPC Connection
- 32: Delete VPC
- 33: Delete VPC Endpoint
- 34: Delete VPC Peering
- 35: Delete VPC Peering Rule
- 36: List Connected PrivateLink Endpoints
- 36.1: 1.1
- 37: List Internet Gateways
- 38: List NAT Gateways
- 39: List Ports
- 40: List Private NAT
- 41: List Private NAT IP
- 42: List PrivateLink Endpoint
- 42.1: 1.1
- 43: List PrivateLink Service
- 43.1: 1.1
- 44: List PublicIPs
- 45: List SAP Secondary Subnets
- 45.1: 1.1
- 46: List Subnets
- 47: List Transit Gateway Rules
- 48: List Transit Gateway VPC Connections
- 49: List Transit Gateways
- 50: List VPC Endpoint
- 51: List VPC Endpoint Connectable Resources
- 52: List VPC Peering
- 53: List VPC Peering Rules
- 54: List VPCs
- 55: Request PrivateLink Endpoint
- 55.1: 1.1
- 56: Set Internet Gateway
- 57: Set NAT Gateway
- 58: Set Port
- 59: Set Private NAT
- 60: Set PrivateLink Endpoint
- 60.1: 1.1
- 61: Set PrivateLink Service
- 61.1: 1.1
- 62: Set PublicIP
- 63: Set Subnet
- 64: Set Transit Gateway
- 65: Set VPC
- 66: Set VPC Endpoint
- 67: Set VPC Peering
- 68: Show Internet Gateway
- 69: Show NAT Gateway
- 70: Show Port
- 71: Show Private NAT
- 72: Show PrivateLink Endpoint
- 72.1: 1.1
- 73: Show PrivateLink Service
- 73.1: 1.1
- 74: Show PublicIP
- 75: Show Subnet
- 76: Show Transit Gateway
- 77: Show VPC
- 78: Show VPC Endpoint
- 79: Show VPC Peering
1 - Approval VPC Peering
1.1 - 1.1
put /v1/vpc-peerings/{vpc_peering_id}/approval
Description
VPC Peering 승인
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | vpc_peering_id required | VPC Peering ID Example : | string | None |
| body | body required | VpcPeeringApprovalRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | VpcPeeringShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/vpc-peerings/{vpc_peering_id}/approval
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"
Request body
{
"type": "CREATE_APPROVE"
}
Example HTTP response
Response 200
{
"vpc_peering": {
"account_type": "SAME",
"approver_vpc_account_id": "",
"approver_vpc_id": "",
"approver_vpc_name": "",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"delete_requester_account_id": "",
"description": "",
"id": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"requester_vpc_account_id": "",
"requester_vpc_id": "",
"requester_vpc_name": "",
"state": "CREATING"
}
}
2 - Approve PrivateLink Endpoint
2.1 - 1.1
put /v1/privatelink-endpoints/{privatelink_endpoint_id}/approval
Description
Approve PrivateLink Endpoint
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | privatelink_endpoint_id required | PrivateLink Endpoint ID Example : | string | None |
| body | body required | PrivateLinkEndpointApprovalRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | PrivateLinkEndpointSummaryShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/privatelink-endpoints/{privatelink_endpoint_id}/approval
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"
Request body
{
"type": "APPROVE"
}
Example HTTP response
Response 200
{
"privatelink_endpoint": {
"created_at": "2026-02-11T06:45:10.579Z",
"id": "",
"state": "REQUESTING"
}
}
3 - Connect PrivateLink Endpoint
3.1 - 1.1
put /v1/privatelink-endpoints/{privatelink_endpoint_id}/connection
Description
Connect PrivateLink Endpoint
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | privatelink_endpoint_id required | PrivateLink Endpoint ID Example : | string | None |
| body | body required | PrivateLinkEndpointConnectionRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | PrivateLinkEndpointSummaryShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/privatelink-endpoints/{privatelink_endpoint_id}/connection
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"
Request body
{
"type": "DISCONNECT"
}
Example HTTP response
Response 200
{
"privatelink_endpoint": {
"created_at": "2026-02-11T06:45:10.579Z",
"id": "",
"state": "REQUESTING"
}
}
4 - Create Internet Gateway
4.1 - 1.1
post /v1/internet-gateways
Description
Internet Gateway를 생성한다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | InternetGatewayCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | InternetGatewayShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/internet-gateways
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"
Request body
{
"description": "",
"firewall_enabled": false,
"firewall_loggable": false,
"tags": [],
"type": "IGW",
"vpc_id": ""
}
Example HTTP response
Response 202
{
"internet_gateway": {
"account_id": "",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "",
"firewall_id": "",
"id": "",
"loggable": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"state": "CREATING",
"type": "IGW",
"vpc_id": "",
"vpc_name": ""
}
}
4.2 - 1.0
post /v1/internet-gateways
Description
Internet Gateway를 생성한다.
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | InternetGatewayCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | InternetGatewayShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/internet-gateways
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.0"
Request body
{
"description": "",
"firewall_enabled": false,
"firewall_loggable": false,
"tags": [],
"type": "IGW",
"vpc_id": ""
}
Example HTTP response
Response 202
{
"internet_gateway": {
"account_id": "",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "",
"firewall_id": "",
"id": "",
"loggable": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"state": "CREATING",
"type": "IGW",
"vpc_id": "",
"vpc_name": ""
}
}
5 - Create NAT Gateway
5.1 - 1.1
post /v1/nat-gateways
Description
NAT Gateway를 생성한다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | NatGatewayCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | NatGatewayShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/nat-gateways
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"
Request body
{
"description": "",
"publicip_id": "",
"subnet_id": "",
"tags": []
}
Example HTTP response
Response 202
{
"nat_gateway": {
"account_id": "",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "",
"id": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"nat_gateway_ip_address": "",
"publicip_id": "",
"state": "",
"subnet_cidr": "",
"subnet_id": "",
"subnet_name": "",
"vpc_id": "",
"vpc_name": ""
}
}
5.2 - 1.0
post /v1/nat-gateways
Description
NAT Gateway를 생성한다.
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | NatGatewayCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | NatGatewayShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/nat-gateways
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.0"
Request body
{
"description": "",
"publicip_id": "",
"subnet_id": "",
"tags": []
}
Example HTTP response
Response 202
{
"nat_gateway": {
"account_id": "",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "",
"id": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"nat_gateway_ip_address": "",
"publicip_id": "",
"state": "",
"subnet_cidr": "",
"subnet_id": "",
"subnet_name": "",
"vpc_id": "",
"vpc_name": ""
}
}
6 - Create Port
6.1 - 1.1
post /v1/ports
Description
Port를 생성한다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | PortCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | PortShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/ports
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"
Request body
{
"description": "",
"fixed_ip_address": "",
"name": "",
"security_groups": [],
"subnet_id": "",
"tags": []
}
Example HTTP response
Response 201
{
"port": {
"account_id": "",
"attached_resource_id": "",
"attached_resource_type": "",
"created_at": "2026-02-11T06:45:08.922Z",
"description": "",
"fixed_ip_address": "",
"id": "",
"mac_address": "",
"modified_at": "2026-02-11T06:45:08.922Z",
"name": "",
"security_groups": [
{
"id": "",
"name": ""
}
],
"state": "",
"subnet_id": "",
"subnet_name": "",
"vpc_id": "",
"vpc_name": ""
}
}
6.2 - 1.0
post /v1/ports
Description
Port를 생성한다.
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | PortCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | PortShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/ports
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.0"
Request body
{
"description": "",
"fixed_ip_address": "",
"name": "",
"security_groups": [],
"subnet_id": "",
"tags": []
}
Example HTTP response
Response 201
{
"port": {
"account_id": "",
"attached_resource_id": "",
"attached_resource_type": "",
"created_at": "2026-02-11T06:45:08.922Z",
"description": "",
"fixed_ip_address": "",
"id": "",
"mac_address": "",
"modified_at": "2026-02-11T06:45:08.922Z",
"name": "",
"security_groups": [
{
"id": "",
"name": ""
}
],
"state": "",
"subnet_id": "",
"subnet_name": "",
"vpc_id": "",
"vpc_name": ""
}
}
7 - Create Private NAT
7.1 - 1.1
post /v1/private-nats
Description
Private NAT 생성
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | PrivateNatCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | PrivateNatShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/private-nats
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"
Request body
{
"cidr": "",
"description": "",
"direct_connect_id": "",
"name": "",
"tags": []
}
Example HTTP response
Response 202
{
"private_nat": {
"account_id": "",
"cidr": "",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "",
"direct_connect_id": "",
"direct_connect_name": "",
"id": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"state": "CREATING",
"vpc_id": "",
"vpc_name": ""
}
}
7.2 - 1.0
post /v1/private-nats
Description
Private NAT 생성
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | PrivateNatCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | PrivateNatShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/private-nats
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.0"
Request body
{
"cidr": "",
"description": "",
"direct_connect_id": "",
"name": "",
"tags": []
}
Example HTTP response
Response 202
{
"private_nat": {
"account_id": "",
"cidr": "",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "",
"direct_connect_id": "",
"direct_connect_name": "",
"id": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"state": "CREATING",
"vpc_id": "",
"vpc_name": ""
}
}
8 - Create Private NAT IP
8.1 - 1.1
post /v1/private-nats/{private_nat_id}/private-nat-ips
Description
Private NAT IP 생성
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | private_nat_id required | Private NAT ID Example : | string | None |
| body | body required | PrivateNatIpCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | PrivateNatIpShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/private-nats/{private_nat_id}/private-nat-ips
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"
Request body
{
"ip_address": ""
}
Example HTTP response
Response 201
{
"private_nat_ip": {
"attached_resource_id": "",
"attached_resource_name": "",
"attached_resource_type": "VM",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "",
"ip_address": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"private_nat_id": "",
"state": "RESERVED"
}
}
8.2 - 1.0
post /v1/private-nats/{private_nat_id}/private-nat-ips
Description
Private NAT IP 생성
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | private_nat_id required | Private NAT ID Example : | string | None |
| body | body required | PrivateNatIpCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | PrivateNatIpShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/private-nats/{private_nat_id}/private-nat-ips
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.0"
Request body
{
"ip_address": ""
}
Example HTTP response
Response 201
{
"private_nat_ip": {
"attached_resource_id": "",
"attached_resource_name": "",
"attached_resource_type": "VM",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "",
"ip_address": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"private_nat_id": "",
"state": "RESERVED"
}
}
9 - Create PrivateLink Endpoint
9.1 - 1.1
post /v1/privatelink-endpoints
Description
PrivateLink Endpoint 생성
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | PrivateLinkEndpointCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | PrivateLinkEndpointShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/privatelink-endpoints
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"
Request body
{
"description": "",
"endpoint_ip_address": "",
"name": "",
"privatelink_service_id": "",
"security_group_ids": [],
"subnet_id": "",
"tags": []
}
Example HTTP response
Response 202
{
"privatelink_endpoint": {
"account_id": "",
"approval_type": "MANUAL",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "",
"endpoint_ip_address": "",
"endpoint_ip_port_id": "",
"id": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"privatelink_service_id": "",
"security_group_ids": [],
"state": "REQUESTING",
"subnet_id": "",
"vpc_id": ""
}
}
10 - Create PrivateLink Service
10.1 - 1.1
post /v1/privatelink-services
Description
PrivateLink Service 생성
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | PrivateLinkServiceCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | PrivateLinkServiceShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/privatelink-services
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"
Request body
{
"approval_type": "MANUAL",
"connected_resource_id": "",
"connected_resource_ip_address": "",
"connected_resource_type": "LB",
"description": "",
"high_speed_transfer": false,
"name": "",
"security_group_ids": [],
"service_ip_address": "",
"subnet_id": "",
"tags": []
}
Example HTTP response
Response 202
{
"privatelink_service": {
"account_id": "",
"approval_type": "MANUAL",
"connected_resource_id": "",
"connected_resource_ip_address": "",
"connected_resource_name": "",
"connected_resource_type": "LB",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "",
"high_speed_transfer": "",
"id": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"security_group_ids": [],
"service_ip_address": "",
"service_ip_port_id": "",
"state": "CREATING",
"subnet_id": "",
"vpc_id": ""
}
}
11 - Create PublicIP
11.1 - 1.1
post /v1/publicips
Description
PublicIP를 생성한다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | PublicipCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | PublicipShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/publicips
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"
Request body
{
"description": "",
"tags": [],
"type": "IGW"
}
Example HTTP response
Response 201
{
"publicip": {
"account_id": "",
"attached_resource_id": "",
"attached_resource_name": "",
"attached_resource_type": "VM",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "",
"id": "",
"ip_address": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"state": "RESERVED",
"type": "IGW"
}
}
11.2 - 1.0
post /v1/publicips
Description
PublicIP를 생성한다.
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | PublicipCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | PublicipShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/publicips
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.0"
Request body
{
"description": "",
"tags": [],
"type": "IGW"
}
Example HTTP response
Response 201
{
"publicip": {
"account_id": "",
"attached_resource_id": "",
"attached_resource_name": "",
"attached_resource_type": "VM",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "",
"id": "",
"ip_address": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"state": "RESERVED",
"type": "IGW"
}
}
12 - Create Subnet
12.1 - 1.1
post /v1/subnets
Description
Subnet을 생성한다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | SubnetCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | SubnetShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/subnets
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"
Request body
{
"allocation_pools": "[{\"start\":\"192.167.1.2\", \"end\":\"192.167.1.100\"}]",
"cidr": "192.167.1.0/24",
"description": "Subnet Description",
"dns_nameservers": "[\"1.1.1.1\", \"2.2.2.2\"]",
"host_routes": "[{\"destination\":\"192.168.10.0/24\", \"nexthop\":\"192.168.10.0\"}]",
"name": "subnetName",
"tags": [],
"type": "GENERAL",
"vpc_id": "7df8abb4912e4709b1cb237daccca7a8"
}
Example HTTP response
Response 202
{
"subnet": {
"account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
"allocation_pools": [],
"cidr": "192.167.1.0/24",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "Subnet Description",
"dns_nameservers": [],
"gateway_ip_address": "192.167.1.1",
"host_routes": [],
"id": "023c57b14f11483689338d085e061492",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "subnetName",
"state": "CREATING",
"type": "GENERAL",
"vpc_id": "7df8abb4912e4709b1cb237daccca7a8",
"vpc_name": "vpcName"
}
}
12.2 - 1.0
post /v1/subnets
Description
Subnet을 생성한다.
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | SubnetCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | SubnetShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/subnets
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.0"
Request body
{
"allocation_pools": "[{\"start\":\"192.167.1.2\", \"end\":\"192.167.1.100\"}]",
"cidr": "192.167.1.0/24",
"description": "Subnet Description",
"dns_nameservers": "[\"1.1.1.1\", \"2.2.2.2\"]",
"host_routes": "[{\"destination\":\"192.168.10.0/24\", \"nexthop\":\"192.168.10.0\"}]",
"name": "subnetName",
"tags": [],
"type": "GENERAL",
"vpc_id": "7df8abb4912e4709b1cb237daccca7a8"
}
Example HTTP response
Response 202
{
"subnet": {
"account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
"allocation_pools": [],
"cidr": "192.167.1.0/24",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "Subnet Description",
"dns_nameservers": [],
"gateway_ip_address": "192.167.1.1",
"host_routes": [],
"id": "023c57b14f11483689338d085e061492",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "subnetName",
"state": "CREATING",
"type": "GENERAL",
"vpc_id": "7df8abb4912e4709b1cb237daccca7a8",
"vpc_name": "vpcName"
}
}
13 - Create Transit Gateway
13.1 - 1.1
post /v1/transit-gateways
Description
Transit Gateway 생성
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | TransitGatewayCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | TransitGatewayShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/transit-gateways
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"
Request body
{
"description": "",
"name": "",
"tags": []
}
Example HTTP response
Response 202
{
"transit_gateway": {
"account_id": "",
"bandwidth": "",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "",
"firewall_ids": "",
"id": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"state": "CREATING",
"uplink_enabled": false
}
}
13.2 - 1.0
post /v1/transit-gateways
Description
Transit Gateway 생성
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | TransitGatewayCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | TransitGatewayShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/transit-gateways
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.0"
Request body
{
"description": "",
"name": "",
"tags": []
}
Example HTTP response
Response 202
{
"transit_gateway": {
"account_id": "",
"bandwidth": "",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "",
"firewall_ids": "",
"id": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"state": "CREATING",
"uplink_enabled": false
}
}
14 - Create Transit Gateway Rule
14.1 - 1.1
post /v1/transit-gateways/{transit_gateway_id}/routing-rules
Description
Transit Gateway 규칙 생성
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | transit_gateway_id required | Transit Gateway ID Example : | string | None |
| body | body required | TransitGatewayRuleCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | TransitGatewayRuleShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/transit-gateways/{transit_gateway_id}/routing-rules
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"
Request body
{
"description": "",
"destination_cidr": "",
"destination_type": "VPC",
"tgw_connection_vpc_id": ""
}
Example HTTP response
Response 202
{
"transit_gateway_rule": {
"account_id": "",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "",
"destination_cidr": "",
"destination_resource_id": "",
"destination_resource_name": "",
"destination_type": "VPC",
"id": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"source_resource_id": "",
"source_resource_name": "",
"source_type": "VPC",
"state": "CREATING",
"tgw_connection_vpc_id": "",
"tgw_connection_vpc_name": ""
}
}
14.2 - 1.0
post /v1/transit-gateways/{transit_gateway_id}/routing-rules
Description
Transit Gateway 규칙 생성
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | transit_gateway_id required | Transit Gateway ID Example : | string | None |
| body | body required | TransitGatewayRuleCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | TransitGatewayRuleShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/transit-gateways/{transit_gateway_id}/routing-rules
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.0"
Request body
{
"description": "",
"destination_cidr": "",
"destination_type": "VPC",
"tgw_connection_vpc_id": ""
}
Example HTTP response
Response 202
{
"transit_gateway_rule": {
"account_id": "",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "",
"destination_cidr": "",
"destination_resource_id": "",
"destination_resource_name": "",
"destination_type": "VPC",
"id": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"source_resource_id": "",
"source_resource_name": "",
"source_type": "VPC",
"state": "CREATING",
"tgw_connection_vpc_id": "",
"tgw_connection_vpc_name": ""
}
}
15 - Create Transit Gateway VPC Connection
15.1 - 1.1
post /v1/transit-gateways/{transit_gateway_id}/vpc-connections
Description
Transit Gateway VPC 연결 생성.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | transit_gateway_id required | Transit Gateway ID Example : | string | None |
| body | body required | TransitGatewayVpcConnectionCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | TransitGatewayVpcConnectionShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/transit-gateways/{transit_gateway_id}/vpc-connections
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"
Request body
{
"vpc_id": ""
}
Example HTTP response
Response 202
{
"transit_gateway_vpc_connection": {
"account_id": "",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"state": "CREATING",
"transit_gateway_id": "",
"vpc_id": "",
"vpc_name": ""
}
}
15.2 - 1.0
post /v1/transit-gateways/{transit_gateway_id}/vpc-connections
Description
Transit Gateway VPC 연결 생성.
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | transit_gateway_id required | Transit Gateway ID Example : | string | None |
| body | body required | TransitGatewayVpcConnectionCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | TransitGatewayVpcConnectionShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/transit-gateways/{transit_gateway_id}/vpc-connections
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.0"
Request body
{
"vpc_id": ""
}
Example HTTP response
Response 202
{
"transit_gateway_vpc_connection": {
"account_id": "",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"state": "CREATING",
"transit_gateway_id": "",
"vpc_id": "",
"vpc_name": ""
}
}
16 - Create VPC
16.1 - 1.1
post /v1/vpcs
Description
VPC를 생성한다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | VpcCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | VpcShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/vpcs
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"
Request body
{
"cidr": "192.167.0.0/18",
"description": "VPC Description",
"name": "vpcName",
"tags": []
}
Example HTTP response
Response 201
{
"vpc": {
"account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
"cidr": "192.167.0.0/18",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "vpcDescription",
"id": "7df8abb4912e4709b1cb237daccca7a8",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "vpcName",
"state": "CREATING"
}
}
16.2 - 1.0
post /v1/vpcs
Description
VPC를 생성한다.
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | VpcCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | VpcShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/vpcs
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.0"
Request body
{
"cidr": "192.167.0.0/18",
"description": "VPC Description",
"name": "vpcName",
"tags": []
}
Example HTTP response
Response 201
{
"vpc": {
"account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
"cidr": "192.167.0.0/18",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "vpcDescription",
"id": "7df8abb4912e4709b1cb237daccca7a8",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "vpcName",
"state": "CREATING"
}
}
17 - Create VPC Endpoint
17.1 - 1.1
post /v1/vpc-endpoints
Description
VPC Endpoint 를 생성한다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | VpcEndpointCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | VpcEndpointShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/vpc-endpoints
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"
Request body
{
"description": "",
"endpoint_ip_address": "",
"name": "",
"resource_info": "",
"resource_key": "",
"resource_type": "FS",
"subnet_id": "",
"tags": [],
"vpc_id": ""
}
Example HTTP response
Response 202
{
"vpc_endpoint": {
"account_id": "",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "",
"endpoint_ip_address": "",
"id": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"resource_info": "",
"resource_key": "",
"resource_type": "FS",
"state": "CREATING",
"subnet_id": "",
"subnet_name": "",
"vpc_id": "",
"vpc_name": ""
}
}
17.2 - 1.0
post /v1/vpc-endpoints
Description
VPC Endpoint 를 생성한다.
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | VpcEndpointCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | VpcEndpointShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/vpc-endpoints
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.0"
Request body
{
"description": "",
"endpoint_ip_address": "",
"name": "",
"resource_info": "",
"resource_key": "",
"resource_type": "FS",
"subnet_id": "",
"tags": [],
"vpc_id": ""
}
Example HTTP response
Response 202
{
"vpc_endpoint": {
"account_id": "",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "",
"endpoint_ip_address": "",
"id": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"resource_info": "",
"resource_key": "",
"resource_type": "FS",
"state": "CREATING",
"subnet_id": "",
"subnet_name": "",
"vpc_id": "",
"vpc_name": ""
}
}
18 - Create VPC Peering
18.1 - 1.1
post /v1/vpc-peerings
Description
VPC Peering 생성
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | VpcPeeringCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | VpcPeeringShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/vpc-peerings
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"
Request body
{
"approver_vpc_account_id": "",
"approver_vpc_id": "",
"description": "",
"name": "",
"requester_vpc_id": "",
"tags": []
}
Example HTTP response
Response 202
{
"vpc_peering": {
"account_type": "SAME",
"approver_vpc_account_id": "",
"approver_vpc_id": "",
"approver_vpc_name": "",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"delete_requester_account_id": "",
"description": "",
"id": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"requester_vpc_account_id": "",
"requester_vpc_id": "",
"requester_vpc_name": "",
"state": "CREATING"
}
}
18.2 - 1.0
post /v1/vpc-peerings
Description
VPC Peering 생성
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | VpcPeeringCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | VpcPeeringShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/vpc-peerings
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.0"
Request body
{
"approver_vpc_account_id": "",
"approver_vpc_id": "",
"description": "",
"name": "",
"requester_vpc_id": "",
"tags": []
}
Example HTTP response
Response 202
{
"vpc_peering": {
"account_type": "SAME",
"approver_vpc_account_id": "",
"approver_vpc_id": "",
"approver_vpc_name": "",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"delete_requester_account_id": "",
"description": "",
"id": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"requester_vpc_account_id": "",
"requester_vpc_id": "",
"requester_vpc_name": "",
"state": "CREATING"
}
}
19 - Create Vpc Peering Rule
19.1 - 1.1
post /v1/vpc-peerings/{vpc_peering_id}/routing-rules
Description
VPC Peering 규칙 생성
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | vpc_peering_id required | VPC Peering ID Example : | string | None |
| body | body required | VpcPeeringRuleCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | VpcPeeringRuleShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/vpc-peerings/{vpc_peering_id}/routing-rules
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"
Request body
{
"destination_cidr": "",
"destination_vpc_type": "REQUESTER_VPC",
"tags": []
}
Example HTTP response
Response 202
{
"vpc_peering_rule": {
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"destination_cidr": "",
"destination_vpc_id": "",
"destination_vpc_name": "",
"destination_vpc_type": "REQUESTER_VPC",
"id": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"source_vpc_id": "",
"source_vpc_name": "",
"source_vpc_type": "REQUESTER_VPC",
"state": "CREATING",
"vpc_peering_id": ""
}
}
19.2 - 1.0
post /v1/vpc-peerings/{vpc_peering_id}/routing-rules
Description
VPC Peering 규칙 생성
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | vpc_peering_id required | VPC Peering ID Example : | string | None |
| body | body required | VpcPeeringRuleCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | VpcPeeringRuleShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/vpc-peerings/{vpc_peering_id}/routing-rules
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.0"
Request body
{
"destination_cidr": "",
"destination_vpc_type": "REQUESTER_VPC",
"tags": []
}
Example HTTP response
Response 202
{
"vpc_peering_rule": {
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"destination_cidr": "",
"destination_vpc_id": "",
"destination_vpc_name": "",
"destination_vpc_type": "REQUESTER_VPC",
"id": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"source_vpc_id": "",
"source_vpc_name": "",
"source_vpc_type": "REQUESTER_VPC",
"state": "CREATING",
"vpc_peering_id": ""
}
}
20 - Delete Internet Gateway
20.1 - 1.1
delete /v1/internet-gateways/{internet_gateway_id}
Description
Internet Gateway를 삭제한다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | internet_gateway_id required | Internet Gateway ID Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/internet-gateways/{internet_gateway_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"
Example HTTP response
Response 202
20.2 - 1.0
delete /v1/internet-gateways/{internet_gateway_id}
Description
Internet Gateway를 삭제한다.
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | internet_gateway_id required | Internet Gateway ID Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/internet-gateways/{internet_gateway_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.0"
Example HTTP response
Response 202
21 - Delete NAT Gateway
21.1 - 1.1
delete /v1/nat-gateways/{nat_gateway_id}
Description
NAT Gateway를 삭제한다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | nat_gateway_id required | NAT Gateway 명 Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/nat-gateways/{nat_gateway_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"
Example HTTP response
Response 202
21.2 - 1.0
delete /v1/nat-gateways/{nat_gateway_id}
Description
NAT Gateway를 삭제한다.
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | nat_gateway_id required | NAT Gateway 명 Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/nat-gateways/{nat_gateway_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.0"
Example HTTP response
Response 202
22 - Delete Port
22.1 - 1.1
delete /v1/ports/{port_id}
Description
Port를 삭제한다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | port_id required | Port ID Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 204 | No Content | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/ports/{port_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"
Example HTTP response
Response 204
22.2 - 1.0
delete /v1/ports/{port_id}
Description
Port를 삭제한다.
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | port_id required | Port ID Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 204 | No Content | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/ports/{port_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.0"
Example HTTP response
Response 204
23 - Delete Private NAT
23.1 - 1.1
delete /v1/private-nats/{private_nat_id}
Description
Private NAT 삭제
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | private_nat_id required | Private NAT ID Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/private-nats/{private_nat_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"
Example HTTP response
Response 202
23.2 - 1.0
delete /v1/private-nats/{private_nat_id}
Description
Private NAT 삭제
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | private_nat_id required | Private NAT ID Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/private-nats/{private_nat_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.0"
Example HTTP response
Response 202
24 - Delete Private NAT IP
24.1 - 1.1
delete /v1/private-nats/{private_nat_id}/private-nat-ips/{private_nat_ip_id}
Description
Private NAT IP 삭제
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | private_nat_id required | Private NAT ID Example : | string | None |
| path | private_nat_ip_id required | Private NAT IP ID Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 204 | No Content | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/private-nats/{private_nat_id}/private-nat-ips/{private_nat_ip_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"
Example HTTP response
Response 204
24.2 - 1.0
delete /v1/private-nats/{private_nat_id}/private-nat-ips/{private_nat_ip_id}
Description
Private NAT IP 삭제
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | private_nat_id required | Private NAT ID Example : | string | None |
| path | private_nat_ip_id required | Private NAT IP ID Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 204 | No Content | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/private-nats/{private_nat_id}/private-nat-ips/{private_nat_ip_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.0"
Example HTTP response
Response 204
25 - Delete PrivateLink Endpoint
25.1 - 1.1
delete /v1/privatelink-endpoints/{privatelink_endpoint_id}
Description
PrivateLink Endpoint 삭제
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | privatelink_endpoint_id required | PrivateLink Endpoint ID Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/privatelink-endpoints/{privatelink_endpoint_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"
Example HTTP response
Response 202
26 - Delete PrivateLink Service
26.1 - 1.1
delete /v1/privatelink-services/{privatelink_service_id}
Description
PrivateLink Service 삭제
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | privatelink_service_id required | PrivateLink Service ID Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/privatelink-services/{privatelink_service_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"
Example HTTP response
Response 202
27 - Delete PublicIP
27.1 - 1.1
delete /v1/publicips/{publicip_id}
Description
PublicIP를 삭제한다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | publicip_id required | PublicIP ID Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 204 | No Content | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/publicips/{publicip_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"
Example HTTP response
Response 204
27.2 - 1.0
delete /v1/publicips/{publicip_id}
Description
PublicIP를 삭제한다.
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | publicip_id required | PublicIP ID Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 204 | No Content | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/publicips/{publicip_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.0"
Example HTTP response
Response 204
28 - Delete Subnet
28.1 - 1.1
delete /v1/subnets/{subnet_id}
Description
Subnet을 삭제한다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | subnet_id required | Subnet ID Example : 023c57b14f11483689338d085e061492 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/subnets/{subnet_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"
Example HTTP response
Response 202
28.2 - 1.0
delete /v1/subnets/{subnet_id}
Description
Subnet을 삭제한다.
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | subnet_id required | Subnet ID Example : 023c57b14f11483689338d085e061492 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/subnets/{subnet_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.0"
Example HTTP response
Response 202
29 - Delete Transit Gateway
29.1 - 1.1
delete /v1/transit-gateways/{transit_gateway_id}
Description
Transit Gateway 삭제
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | transit_gateway_id required | Transit Gateway ID Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/transit-gateways/{transit_gateway_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"
Example HTTP response
Response 202
29.2 - 1.0
delete /v1/transit-gateways/{transit_gateway_id}
Description
Transit Gateway 삭제
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | transit_gateway_id required | Transit Gateway ID Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/transit-gateways/{transit_gateway_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.0"
Example HTTP response
Response 202
30 - Delete Transit Gateway Rule
30.1 - 1.1
delete /v1/transit-gateways/{transit_gateway_id}/routing-rules/{routing_rule_id}
Description
Transit Gateway 규칙 삭제
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | transit_gateway_id required | Transit Gateway ID Example : | string | None |
| path | routing_rule_id required | Routing Rule ID Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/transit-gateways/{transit_gateway_id}/routing-rules/{routing_rule_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"
Example HTTP response
Response 202
30.2 - 1.0
delete /v1/transit-gateways/{transit_gateway_id}/routing-rules/{routing_rule_id}
Description
Transit Gateway 규칙 삭제
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | transit_gateway_id required | Transit Gateway ID Example : | string | None |
| path | routing_rule_id required | Routing Rule ID Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/transit-gateways/{transit_gateway_id}/routing-rules/{routing_rule_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.0"
Example HTTP response
Response 202
31 - Delete Transit Gateway VPC Connection
31.1 - 1.1
delete /v1/transit-gateways/{transit_gateway_id}/vpc-connections/{vpc_connection_id}
Description
Transit Gateway VPC 연결 삭제.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | transit_gateway_id required | Transit Gateway ID Example : | string | None |
| path | vpc_connection_id required | Transit Gateway VPC 연결 ID Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/transit-gateways/{transit_gateway_id}/vpc-connections/{vpc_connection_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"
Example HTTP response
Response 202
31.2 - 1.0
delete /v1/transit-gateways/{transit_gateway_id}/vpc-connections/{vpc_connection_id}
Description
Transit Gateway VPC 연결 삭제.
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | transit_gateway_id required | Transit Gateway ID Example : | string | None |
| path | vpc_connection_id required | Transit Gateway VPC 연결 ID Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/transit-gateways/{transit_gateway_id}/vpc-connections/{vpc_connection_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.0"
Example HTTP response
Response 202
32 - Delete VPC
32.1 - 1.1
delete /v1/vpcs/{vpc_id}
Description
VPC를 삭제한다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | vpc_id required | VPC ID Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 204 | No Content | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/vpcs/{vpc_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"
Example HTTP response
Response 204
32.2 - 1.0
delete /v1/vpcs/{vpc_id}
Description
VPC를 삭제한다.
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | vpc_id required | VPC ID Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 204 | No Content | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/vpcs/{vpc_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.0"
Example HTTP response
Response 204
33 - Delete VPC Endpoint
33.1 - 1.1
delete /v1/vpc-endpoints/{vpc_endpoint_id}
Description
VPC Endpoint 를 삭제한다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | vpc_endpoint_id required | VPC Endpoint ID Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/vpc-endpoints/{vpc_endpoint_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"
Example HTTP response
Response 202
33.2 - 1.0
delete /v1/vpc-endpoints/{vpc_endpoint_id}
Description
VPC Endpoint 를 삭제한다.
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | vpc_endpoint_id required | VPC Endpoint ID Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/vpc-endpoints/{vpc_endpoint_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.0"
Example HTTP response
Response 202
34 - Delete VPC Peering
34.1 - 1.1
delete /v1/vpc-peerings/{vpc_peering_id}
Description
VPC Peering 삭제
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | vpc_peering_id required | VPC Peering ID Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/vpc-peerings/{vpc_peering_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"
Example HTTP response
Response 202
34.2 - 1.0
delete /v1/vpc-peerings/{vpc_peering_id}
Description
VPC Peering 삭제
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | vpc_peering_id required | VPC Peering ID Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/vpc-peerings/{vpc_peering_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.0"
Example HTTP response
Response 202
35 - Delete VPC Peering Rule
35.1 - 1.1
delete /v1/vpc-peerings/{vpc_peering_id}/routing-rules/{routing_rule_id}
Description
VPC Peering 규칙 삭제
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | vpc_peering_id required | VPC Peering ID Example : | string | None |
| path | routing_rule_id required | Routing Rule ID Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/vpc-peerings/{vpc_peering_id}/routing-rules/{routing_rule_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"
Example HTTP response
Response 202
35.2 - 1.0
delete /v1/vpc-peerings/{vpc_peering_id}/routing-rules/{routing_rule_id}
Description
VPC Peering 규칙 삭제
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | vpc_peering_id required | VPC Peering ID Example : | string | None |
| path | routing_rule_id required | Routing Rule ID Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/vpc-peerings/{vpc_peering_id}/routing-rules/{routing_rule_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.0"
Example HTTP response
Response 202
36 - List Connected PrivateLink Endpoints
36.1 - 1.1
get /v1/privatelink-services/{privatelink_service_id}/connected-endpoints
Description
연결된 PrivateLink Endpoint 목록 조회
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | privatelink_service_id required | PrivateLink Service ID Example : | string | None |
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ConnectedEndpointListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/privatelink-services/{privatelink_service_id}/connected-endpoints
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"
Example HTTP response
Response 200
{
"connected_privatelink_endpoints": [
{
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"privatelink_service_id": "",
"state": "REQUESTING"
}
],
"count": 20,
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
]
}
37 - List Internet Gateways
37.1 - 1.1
get /v1/internet-gateways
Description
Internet Gateway 목록을 조회한다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | with_count optional | with count Example : true | any of [string, null] | None |
| query | limit optional | 한도 Example : 20 | any of [integer, null] | None |
| query | marker optional | 마커 Example : 607e0938521643b5b4b266f343fae693 | any of [string, null] | None |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | id optional | Internet Gateway ID Example : | any of [string, null] | None |
| query | name optional | Internet Gateway 명 Example : | any of [string, null] | None |
| query | type optional | Internet Gateway 유형 Example : | enum (IGW, GGW, SIGW) | |
| query | state optional | 상태 Example : | string | |
| query | vpc_id optional | VPC ID Example : | any of [string, null] | |
| query | vpc_name optional | VPC 명 Example : | any of [string, null] |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | InternetGatewayListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/internet-gateways
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"
Example HTTP response
Response 200
{
"count": 20,
"internet_gateways": [
{
"account_id": "",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "",
"firewall_id": "",
"id": "",
"loggable": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"state": "CREATING",
"type": "IGW",
"vpc_id": "",
"vpc_name": ""
}
],
"links": [
{
"href": "http://scp.samsungsdscloud.com/v1/notices",
"rel": "self"
}
]
}
37.2 - 1.0
get /v1/internet-gateways
Description
Internet Gateway 목록을 조회한다.
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | with_count optional | with count Example : true | any of [string, null] | None |
| query | limit optional | 한도 Example : 20 | any of [integer, null] | None |
| query | marker optional | 마커 Example : 607e0938521643b5b4b266f343fae693 | any of [string, null] | None |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | id optional | Internet Gateway ID Example : | any of [string, null] | None |
| query | name optional | Internet Gateway 명 Example : | any of [string, null] | None |
| query | type optional | Internet Gateway 유형 Example : | enum (IGW, GGW, SIGW) | |
| query | state optional | 상태 Example : | string | |
| query | vpc_id optional | VPC ID Example : | any of [string, null] | |
| query | vpc_name optional | VPC 명 Example : | any of [string, null] |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | InternetGatewayListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/internet-gateways
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.0"
Example HTTP response
Response 200
{
"count": 20,
"internet_gateways": [
{
"account_id": "",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "",
"firewall_id": "",
"id": "",
"loggable": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"state": "CREATING",
"type": "IGW",
"vpc_id": "",
"vpc_name": ""
}
],
"links": [
{
"href": "http://scp.samsungsdscloud.com/v1/notices",
"rel": "self"
}
]
}
38 - List NAT Gateways
38.1 - 1.1
get /v1/nat-gateways
Description
NAT Gateway 목록을 조회한다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | with_count optional | with count Example : true | any of [string, null] | None |
| query | limit optional | 한도 Example : 20 | any of [integer, null] | None |
| query | marker optional | 마커 Example : 607e0938521643b5b4b266f343fae693 | any of [string, null] | None |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | name optional | NAT Gateway 명 Example : | any of [string, null] | None |
| query | vpc_id optional | VPC ID Example : | any of [string, null] | None |
| query | vpc_name optional | VPC 명 Example : | any of [string, null] | None |
| query | subnet_id optional | Subnet ID Example : | any of [string, null] | None |
| query | subnet_name optional | Subnet 명 Example : | any of [string, null] | None |
| query | nat_gateway_ip_address optional | NAT Gateway IP 주소 Example : | any of [string, null] | None |
| query | state optional | NAT Gateway 상태 Example : | any of [enum (CREATING, ACTIVE, DELETING, DELETED, ERROR), null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | NatGatewayListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/nat-gateways
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"
Example HTTP response
Response 200
{
"count": 20,
"links": [
{
"href": "http://scp.samsungsdscloud.com/v1/notices",
"rel": "self"
}
],
"nat_gateways": [
{
"account_id": "",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "",
"id": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"nat_gateway_ip_address": "",
"publicip_id": "",
"state": "",
"subnet_cidr": "",
"subnet_id": "",
"subnet_name": "",
"vpc_id": "",
"vpc_name": ""
}
]
}
38.2 - 1.0
get /v1/nat-gateways
Description
NAT Gateway 목록을 조회한다.
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | with_count optional | with count Example : true | any of [string, null] | None |
| query | limit optional | 한도 Example : 20 | any of [integer, null] | None |
| query | marker optional | 마커 Example : 607e0938521643b5b4b266f343fae693 | any of [string, null] | None |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | name optional | NAT Gateway 명 Example : | any of [string, null] | None |
| query | vpc_id optional | VPC ID Example : | any of [string, null] | None |
| query | vpc_name optional | VPC 명 Example : | any of [string, null] | None |
| query | subnet_id optional | Subnet ID Example : | any of [string, null] | None |
| query | subnet_name optional | Subnet 명 Example : | any of [string, null] | None |
| query | nat_gateway_ip_address optional | NAT Gateway IP 주소 Example : | any of [string, null] | None |
| query | state optional | NAT Gateway 상태 Example : | any of [enum (CREATING, ACTIVE, DELETING, DELETED, ERROR), null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | NatGatewayListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/nat-gateways
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.0"
Example HTTP response
Response 200
{
"count": 20,
"links": [
{
"href": "http://scp.samsungsdscloud.com/v1/notices",
"rel": "self"
}
],
"nat_gateways": [
{
"account_id": "",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "",
"id": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"nat_gateway_ip_address": "",
"publicip_id": "",
"state": "",
"subnet_cidr": "",
"subnet_id": "",
"subnet_name": "",
"vpc_id": "",
"vpc_name": ""
}
]
}
39 - List Ports
39.1 - 1.1
get /v1/ports
Description
Port 목록을 조회한다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | with_count optional | with count Example : true | any of [string, null] | None |
| query | limit optional | Port 제한 Example : | any of [integer, null] | None |
| query | marker optional | Port 마커 Example : | any of [string, null] | None |
| query | sort optional | Port 정렬 Example : | any of [string, null] | None |
| query | name optional | Port 명 Example : | any of [string, null] | None |
| query | subnet_id optional | Subnet ID Example : | any of [string, null] | None |
| query | subnet_name optional | Subnet 명 Example : | any of [string, null] | None |
| query | id optional | Port ID Example : | any of [string, null] | None |
| query | attached_resource_id optional | 연결된 자원 ID Example : | any of [string, null] | None |
| query | fixed_ip_address optional | 고정된 IP Example : | any of [string, null] | None |
| query | mac_address optional | MAC 주소 Example : | any of [string, null] | None |
| query | state optional | 상태 Example : | any of [string, null] | None |
| query | security_groups optional | Security Group 목록 Example : | any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | PortListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/ports
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"
Example HTTP response
Response 200
{
"count": 20,
"links": [
{
"href": "http://scp.samsungsdscloud.com/v1/notices",
"rel": "self"
}
],
"ports": [
{
"account_id": "",
"attached_resource_id": "",
"attached_resource_type": "",
"created_at": "2026-02-11T06:45:08.861Z",
"description": "",
"fixed_ip_address": "",
"id": "",
"mac_address": "",
"modified_at": "2026-02-11T06:45:08.862Z",
"name": "",
"state": "",
"subnet_id": "",
"subnet_name": "",
"vpc_id": "",
"vpc_name": ""
}
]
}
39.2 - 1.0
get /v1/ports
Description
Port 목록을 조회한다.
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | with_count optional | with count Example : true | any of [string, null] | None |
| query | limit optional | Port 제한 Example : | any of [integer, null] | None |
| query | marker optional | Port 마커 Example : | any of [string, null] | None |
| query | sort optional | Port 정렬 Example : | any of [string, null] | None |
| query | name optional | Port 명 Example : | any of [string, null] | None |
| query | subnet_id optional | Subnet ID Example : | any of [string, null] | None |
| query | subnet_name optional | Subnet 명 Example : | any of [string, null] | None |
| query | id optional | Port ID Example : | any of [string, null] | None |
| query | attached_resource_id optional | 연결된 자원 ID Example : | any of [string, null] | None |
| query | fixed_ip_address optional | 고정된 IP Example : | any of [string, null] | None |
| query | mac_address optional | MAC 주소 Example : | any of [string, null] | None |
| query | state optional | 상태 Example : | any of [string, null] | None |
| query | security_groups optional | Security Group 목록 Example : | any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | PortListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/ports
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.0"
Example HTTP response
Response 200
{
"count": 20,
"links": [
{
"href": "http://scp.samsungsdscloud.com/v1/notices",
"rel": "self"
}
],
"ports": [
{
"account_id": "",
"attached_resource_id": "",
"attached_resource_type": "",
"created_at": "2026-02-11T06:45:08.861Z",
"description": "",
"fixed_ip_address": "",
"id": "",
"mac_address": "",
"modified_at": "2026-02-11T06:45:08.862Z",
"name": "",
"state": "",
"subnet_id": "",
"subnet_name": "",
"vpc_id": "",
"vpc_name": ""
}
]
}
40 - List Private NAT
40.1 - 1.1
get /v1/private-nats
Description
Private NAT 목록 조회
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | name optional | Private NAT 명 Example : | any of [string, null] | None |
| query | cidr optional | Private NAT IP 대역 Example : | any of [string, null] | None |
| query | vpc_id optional | VPC ID Example : | any of [string, null] | None |
| query | vpc_name optional | VPC 명 Example : | any of [string, null] | None |
| query | direct_connect_id optional | Direct Connect ID Example : | any of [string, null] | None |
| query | direct_connect_name optional | Direct Connect명 Example : | any of [string, null] | None |
| query | state optional | Private NAT 상태 Example : | any of [enum (CREATING, ACTIVE, DELETING, DELETED, ERROR), null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | PrivateNatListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/private-nats
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"
Example HTTP response
Response 200
{
"count": 20,
"page": 0,
"private_nats": [
{
"account_id": "",
"cidr": "",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "",
"direct_connect_id": "",
"direct_connect_name": "",
"id": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"state": "CREATING",
"vpc_id": "",
"vpc_name": ""
}
],
"size": 20,
"sort": [
"created_at:asc"
]
}
40.2 - 1.0
get /v1/private-nats
Description
Private NAT 목록 조회
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | name optional | Private NAT 명 Example : | any of [string, null] | None |
| query | cidr optional | Private NAT IP 대역 Example : | any of [string, null] | None |
| query | vpc_id optional | VPC ID Example : | any of [string, null] | None |
| query | vpc_name optional | VPC 명 Example : | any of [string, null] | None |
| query | direct_connect_id optional | Direct Connect ID Example : | any of [string, null] | None |
| query | direct_connect_name optional | Direct Connect명 Example : | any of [string, null] | None |
| query | state optional | Private NAT 상태 Example : | any of [enum (CREATING, ACTIVE, DELETING, DELETED, ERROR), null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | PrivateNatListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/private-nats
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.0"
Example HTTP response
Response 200
{
"count": 20,
"page": 0,
"private_nats": [
{
"account_id": "",
"cidr": "",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "",
"direct_connect_id": "",
"direct_connect_name": "",
"id": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"state": "CREATING",
"vpc_id": "",
"vpc_name": ""
}
],
"size": 20,
"sort": [
"created_at:asc"
]
}
41 - List Private NAT IP
41.1 - 1.1
get /v1/private-nats/{private_nat_id}/private-nat-ips
Description
Private NAT IP 목록
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | private_nat_id required | Private NAT ID Example : | string | None |
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | ip_address optional | Private NAT IP 주소 Example : | any of [string, null] | None |
| query | state optional | Private NAT IP 상태 Example : | any of [enum (RESERVED, ATTACHED, DELETED), null] | None |
| query | attached_resource_type optional | Private NAT IP 연결된 자원 타입 Example : | any of [enum (VM, BM), null] | None |
| query | attached_resource_id optional | Private NAT IP 연결된 자원 ID Example : | any of [string, null] | None |
| query | attached_resource_name optional | Private NAT IP 연결된 자원명 Example : | any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | PrivateNatIpListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/private-nats/{private_nat_id}/private-nat-ips
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"
Example HTTP response
Response 200
{
"count": 20,
"page": 0,
"private_nat_ips": [
{
"attached_resource_id": "",
"attached_resource_name": "",
"attached_resource_type": "VM",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "",
"ip_address": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"private_nat_id": "",
"state": "RESERVED"
}
],
"size": 20,
"sort": [
"created_at:asc"
]
}
41.2 - 1.0
get /v1/private-nats/{private_nat_id}/private-nat-ips
Description
Private NAT IP 목록
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | private_nat_id required | Private NAT ID Example : | string | None |
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | ip_address optional | Private NAT IP 주소 Example : | any of [string, null] | None |
| query | state optional | Private NAT IP 상태 Example : | any of [enum (RESERVED, ATTACHED, DELETED), null] | None |
| query | attached_resource_type optional | Private NAT IP 연결된 자원 타입 Example : | any of [enum (VM, BM), null] | None |
| query | attached_resource_id optional | Private NAT IP 연결된 자원 ID Example : | any of [string, null] | None |
| query | attached_resource_name optional | Private NAT IP 연결된 자원명 Example : | any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | PrivateNatIpListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/private-nats/{private_nat_id}/private-nat-ips
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.0"
Example HTTP response
Response 200
{
"count": 20,
"page": 0,
"private_nat_ips": [
{
"attached_resource_id": "",
"attached_resource_name": "",
"attached_resource_type": "VM",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "",
"ip_address": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"private_nat_id": "",
"state": "RESERVED"
}
],
"size": 20,
"sort": [
"created_at:asc"
]
}
42 - List PrivateLink Endpoint
42.1 - 1.1
get /v1/privatelink-endpoints
Description
PrivateLink Endpoint 목록 조회
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | id optional | PrivateLink Endpoint ID Example : | any of [string, null] | None |
| query | name optional | PrivateLink Endpoint 명 Example : | any of [string, null] | None |
| query | vpc_id optional | VPC ID Example : | any of [string, null] | None |
| query | subnet_id optional | Subnet ID Example : | any of [string, null] | None |
| query | privatelink_service_id optional | PrivateLink Service ID Example : | any of [string, null] | None |
| query | endpoint_ip_address optional | Endpoint IP 주소 Example : | any of [string, null] | None |
| query | state optional | PrivateLink Endpoint 상태 Example : | any of [enum (REQUESTING, CREATING, REJECTED, CANCELED, ACTIVE, DISCONNECTED, DELETING, DELETED, ERROR), null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | PrivateLinkEndpointListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/privatelink-endpoints
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"
Example HTTP response
Response 200
{
"count": 20,
"page": 0,
"privatelink_endpoints": [
{
"account_id": "",
"approval_type": "MANUAL",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"endpoint_ip_address": "",
"id": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"privatelink_service_id": "",
"state": "REQUESTING",
"subnet_id": "",
"vpc_id": ""
}
],
"size": 20,
"sort": [
"created_at:asc"
]
}
43 - List PrivateLink Service
43.1 - 1.1
get /v1/privatelink-services
Description
PrivateLink Service 목록 조회
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | id optional | PrivateLink Service ID Example : | any of [string, null] | None |
| query | name optional | PrivateLink Service 명 Example : | any of [string, null] | None |
| query | vpc_id optional | VPC ID Example : | any of [string, null] | None |
| query | subnet_id optional | Subnet ID Example : | any of [string, null] | None |
| query | service_ip_address optional | Service IP 주소 Example : | any of [string, null] | None |
| query | connected_resource_id optional | 연결된 자원 ID Example : | any of [string, null] | None |
| query | connected_resource_type optional | 연결된 자원 Type Example : | any of [string, null] | None |
| query | connected_resource_name optional | 연결된 자원명 Example : | any of [string, null] | None |
| query | connected_resource_ip_address optional | 연결된 자원 IP 주소 Example : | any of [string, null] | None |
| query | state optional | PrivateLink Service 상태 Example : | any of [enum (CREATING, ACTIVE, DELETING, DELETED, ERROR), null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | PrivateLinkServiceListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/privatelink-services
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
[...]
